## optiimage 1.0.0

=== debian/changelog ===
optiimage (1.0.0-0zneon+24.04+noble+release+build4) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 00:43:12 +0000

optiimage (1.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:27:27 +0000
