## optiimage 1.0.0+p24.04+vstable+git20250904.0941

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20250904.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 09:41:37 +0000
