## optiimage 1.0.0+p24.04+vstable+git20251015.1431

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20251015.1431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:31:04 +0000
