=== debian/control ===
Source: optiimage
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/neon-packaging/optiimage
Vcs-Git: https://invent.kde.org/neon/neon-packaging/optiimage.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/optiimage
Maintainer: Neon CI <neon@kde.org>

Package: optiimage
Architecture: any
Depends: kf6-kirigami-addons, kf6-kirigami2, ${misc:Depends}, ${shlibs:Depends}
Description: KDE Image Compressor
 Optimize your images with OptiImage, a useful image compressor that supports
 PNG, JPEG, WebP and SVG file types.
 .
 It supports both lossless and lossy compression modes with an option to whether
 keep or not metadata of images. It additionally has a safe mode, where a new
 image is created instead of overwritting the old one.
