## optiimage 1.0.0+p24.04+vstable+git20260105.1114

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20260105.1114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:14:22 +0000
