## optiimage 1.0.0+p24.04+vstable+git20260122.0919

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20260122.0919-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:19:30 +0000
