## optiimage 1.0.0+p24.04+vstable+git20260130.0832

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20260130.0832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:32:16 +0000
