## optiimage 1.0.0+p24.04+vunstable+git20251020.0404

=== debian/changelog ===
optiimage (1.0.0+p24.04+vunstable+git20251020.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 04:04:31 +0000
